JIRA Agile ドキュメント

Jira Agile 6.3
GreenHopper 6.2
GreenHopper 6.1

More...

Agile Knowledge Base Resources

子ページ
  • JIRA Agile cannot be enabled after upgrading to JIRA 6
メタデータの末尾にスキップ
メタデータの先頭に移動

症状

After upgrading to JIRA 6.x, JIRA Agile cannot be enabled successfully.

atlassian-jira.log に次のメッセージが表示される。

2013-08-28 19:45:53,172 http-bio-80-exec-19 ERROR shi.li 1185x6738x1 ub8ayg 10.3.2.142 /rest/plugins/1.0/com.pyxis.greenhopper.jira-key [atlassian.plugin.manager.PluginEnabler] Unable to enable plugin com.pyxis.greenhopper.jira
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.pyxis.greenhopper.jira
at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:483)
at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:273)
at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:116)
at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:101)
at com.atlassian.plugin.manager.PluginEnabler.enableAllRecursively(PluginEnabler.java:68)
at com.atlassian.plugin.manager.DefaultPluginManager.enablePlugins(DefaultPluginManager.java:1263)
at com.atlassian.jira.plugin.JiraPluginManager.enablePlugins(JiraPluginManager.java:70) <+3>

診断

Although JIRA Agile version is compatible with JIRA version, it cannot be enabled successfully.

原因

One or more third-party plugins installed are not compatible with JIRA 6.

ソリューション

  • Check if there are any enabled third-party plugins which are not compatible with JIRA 6.
  • If so, upgrade those third-party plugins to the version which support JIRA 6.

  • If there are no compatible versions, disable/uninstall the incompatible plugins.

  • Re-enable JIRA Agile plugin

Help us improve!